Subject: [Ianaplan] Revised proposal for charter

From: Andrew Sullivan <[email-masked]>
Date: Fri, 15 Aug 2014 13:59:42 -0400

Hi all,

In light of the comments in Toronto, I've revised the proposal for the charter.   

A

-- 
Andrew Sullivan
[email-masked]

---

From: Eric Burger <[email-masked]>
Date: Sun, 17 Aug 2014 19:02:23 -0400

In light of the list discussions and the discussions in Toronto, this is pretty much baked.

One small suggestion.  We say:

   This work is chartered exclusively to create the proposal that is
   needed for the transition.

What we do not say is for whom the proposal is being prepared.  I think this is important. With a hanging ‘proposal,’ it sounds like the work group is being chartered to think about new and nifty ways of doing something: a proposal.  I would offer two modifications.  The first makes it clear who the work product is for.  The second re-emphasizes we are not planning on opening Pandora’s IANA Box.

   This work is chartered exclusively to create the transition
   proposal requested by NTIA to document the IETF’s 
   expectations for the transition of the IANA function to a
   post-NTIA governance model.

On Aug 15, 2014, at 1:59 PM, Andrew Sullivan <[email-masked]> wrote:

> <charter-2014-08-15a.txt>_______________________________________________
> Ianaplan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ianaplan

---

From: Jari Arkko <[email-masked]>
Date: Mon, 18 Aug 2014 10:30:00 +0300

Eric, Andrew,

> What we do not say is for whom the proposal is being prepared.  I think this is important. With a hanging ‘proposal,’ it sounds like the work group is being chartered to think about new and nifty ways of doing something: a proposal.

OK

> The second re-emphasizes we are not planning on opening Pandora’s IANA Box.

:-)

>   post-NTIA governance model.

Looks good to me. Thanks.

Although I’d probably change s/expectations/approach/, since I’d claim that we at the IETF should be responsible for doing this, as opposed to merely expecting something.

Jari

---

From: Eric Burger <[email-masked]>
Date: Mon, 18 Aug 2014 04:12:09 -0400

> Eric, Andrew,
[snip]
> Although I’d probably change s/expectations/approach/, since I’d claim that we at the IETF should be responsible for doing this, as opposed to merely expecting something.

Works for me.

---

From: Jari Arkko <[email-masked]>
Date: Wed, 20 Aug 2014 21:31:34 +0300

Since the posting of the charter from Andrew to this list, I have taken the draft charter for review with the IESG and IAB. A number of changes have resulted from that review. The review continues. I also have received a suggestion from Eric Burger, and his comment is noted but not yet incorporated.

But I wanted to provide the current snapshot of the charter to the working group. My most recent version is below.

Area: General
Responsible AD: Jari Arkko
Chairs: TBD

Background
==========

The IETF stores parameters for protocols it defines in registries.
These registries are maintained by the Internet Assigned Numbers
Authority (IANA), and are the subject of the "IANA Considerations"
section in many RFCs.

For a number of years, the IANA function has been provided by the
Internet Corporation for Assigned Names and Numbers (ICANN).  The
IETF's relationship with IANA was formalized through a Memorandum of
Understanding codified in 2000 with the publication of RFC 2860; over
time processes and role definitions have evolved, and have been
documented in supplemental agreements.

ICANN has historically had a contract with the US Department of
Commerce (DoC), undertaken through the National Telecommunications and
Information Administration (NTIA).  In March of 2014, NTIA announced
its intention to complete the evolution begun in 1997, meaning that
NTIA would not need to renew its contract with ICANN when that
contract expires 30 September 2015.  NTIA requested a transition
proposal be prepared to outline the necessary arrangements. In the
case of the IETF, we expect these arrangements to consist largely of
the existing well-documented practices.

Tasks
=====

The WG's output is expected to be an IETF consensus document that
describes the expected interaction between the IETF and the protocol
parameters registries operator.

Given that we have a system today that works well for the IETF,
minimal change in the oversight of the protocol parameters registries
is preferred in all cases and no change is preferred when possible.
With a view to addressing implications of moving the NTIA out of its
current role with respect to IANA on the IETF protocol parameter
registry function, the WG will focus on documenting and ensuring the
continuation of the current arrangements.  The
working group will assume the following documents continue to be in
effect:

- RFC 2850
- RFC 3777 and its updates
- RFC 2860
- RFC 6220
- IETF-ICANN-MOU_2000
   (http://iaoc.ietf.org/documents/IETF-ICANN-MOU_2000.pdf)
- ICANN-IETF Supplemental Agreements
   (updated yearly since 2007, the 2014 version is available at
   http://iaoc.ietf.org/documents/
   2014-ICANN-IETF-MoU-Supplemental-Agreement-Executed.pdf)

This working group is chartered solely with respect to the planning
needed for the transition.  Possible improvements outside that scope
will be set aside for future consideration.  Avoiding alterations in
substantive outcomes should be the goal, even if eventual mechanisms
required to address the removal of the overarching NTIA contract
may require additional documentation or agreements.

Should proposals made to the NTIA by other communities regarding the
transition of other IANA functions affect the protocol parameter
registries or the IETF, the WG will also review and comment on them.

The output document of the WG need not be the complete transition
proposal regarding the oversight of the protocol parameters registries
to be handed to the NTIA. Specifically, if that transition proposal
requires documentation of some detailed terms of agreements or other
details of procedures that are normally delegated to and handled by
the IAB or IAOC, the IAB or IAOC can provide those details as part of
the submission; the WG does not need to come to consensus on those
parts of the submission.

The WG shall seek the expertise of the IAB IANA Strategy Program to
formulate its output. It is expected that members of the IAB IANA
Strategy Program will actively participate in the WG.

Milestones
==========

January 2015  -- complete protocol parameters registries proposal
May 2015 -- review of other transition proposals, if needed
Sept 2015 -- close

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 20 Aug 2014 19:39:34 +0100

And, obviously, the draft charter is in the datatracker at
https://datatracker.ietf.org/doc/charter-ietf-ianaplan/ and IESG review
comments/ballots can be seen at
https://datatracker.ietf.org/doc/charter-ietf-ianaplan/ballot/

Adrian

> -----Original Message-----
> From: Ianaplan [mailto:[email-masked]] On Behalf Of Jari Arkko
> Sent: 20 August 2014 19:32
> To: Andrew Sullivan
> Cc: [email-masked]
> Subject: Re: [Ianaplan] Revised proposal for charter
> 
> Since the posting of the charter from Andrew to this list, I have taken the
draft
> charter for review with the IESG and IAB. A number of changes have resulted
> from that review. The review continues. I also have received a suggestion from
> Eric Burger, and his comment is noted but not yet incorporated.
>

---

From: Jari Arkko <[email-masked]>
Date: Thu, 21 Aug 2014 20:32:51 +0300

We’ve had a discussion in the IESG about the charter, including me, Alissa, and Adrian working to edit Adrian’s suggestions in. The IESG has decided to send the charter to IETF-wide and external review.

Here’s the charter text: https://datatracker.ietf.org/doc/charter-ietf-ianaplan/
Diff to the previous version that I sent you: http://arkko.com/ietf/ianaplan/ianaplanwg-v06-from-5.diff.html
Diff to the initial version that Andrew sent you: http://arkko.com/ietf/ianaplan/ianaplanwg-v06-from-0.diff.html

Comments are appreciated, as always.

Eric: they changes impacted the text that you originally commented on. Does the new text work better for you?

Jari

---

From: Eric Burger <[email-masked]>
Date: Thu, 21 Aug 2014 14:52:27 -0400

Much better. To prove I really read the charter, the only change I would request, which is purely editorial, is to move one comma in the second paragraph. This is purely a grammar nit and does not change the meaning or intent of the charter.

Edited text:
For a number of years, maintenance of the IETF protocol parameters
registries has been provided by the Internet Corporation for Assigned
Names and Numbers (ICANN).  The IETF's relationship with IANA was
formalized through a Memorandum of Understanding between the IETF and
ICANN, codified in 2000 with the publication of RFC 2860.  Over time,
    ^^^ [after ICANN]
processes and role definitions have evolved and have been documented
                                          ^^^ [not after evolved]
in supplemental agreements.

Real, active voice English would have us say:
For a number of years, the Internet Corporation for Assinged Names and Numbers (ICANN) has provided maintenance of the IETF protocol parameters registries. A Memorandum of Understanding (MoU) between the IETF and ICANN, codified in 2000 with the publication of RFC 2860, formalized the relationship between the IETF and the IANA. Over time, processes and role definitions have evolved and have been documented in supplemental agreements.

On Aug 21, 2014, at 1:32 PM, Jari Arkko <[email-masked]> wrote:

> _______________________________________________
> Ianaplan mailing list
> [email-masked]

---

From: Brian Trammell <[email-masked]>
Date: Thu, 21 Aug 2014 22:17:24 +0200

hi Jari, all,

Tiny nit:

s/IAB IANA Strategy Program/IAB IANA Evolution Program/g in the final paragraph.

Otherwise, this looks good to me, with the caveat that one does sort of have to understand how the ICG is structured in order to completely understand the charter; e.g. "other communities" sort of pop up toward the end of the tasks section without explanation. But since (I hope) everyone in the room will presumably be following developments in the wider process, I don't think this is a problem that needs fixing.

Cheers,

Brian

---

From: Eric Burger <[email-masked]>
Date: Thu, 21 Aug 2014 16:51:12 -0400

I think leaving this with a naked “other communities” is fine. Otherwise we will run down a rathole of who those other communities are and, as well, we are likely to forget one that will be upset we forgot to enumerate them.

[snip]

---

From: Suzanne Woolf <[email-masked]>
Date: Thu, 21 Aug 2014 17:13:01 -0400

This is a rathole either way, so the IETF should do what suits the IETF. I think “other communities” is right.

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 21 Aug 2014 22:19:10 +0100

Jari,

Thanks for the work with the chisel. The end result looks good to me.

Will be happy to hear if others think more changes (or reversions) are needed.

Adrian

> Sent: 21 August 2014 18:33
> To: [email-masked]
> Cc: Eric Burger
> We've had a discussion in the IESG about the charter, including me, Alissa,
and
> Adrian working to edit Adrian's suggestions in. The IESG has decided to send
the
> charter to IETF-wide and external review.
> 
> Here's the charter text:
https://datatracker.ietf.org/doc/charter-ietf-ianaplan/
> Diff to the previous version that I sent you:
> http://arkko.com/ietf/ianaplan/ianaplanwg-v06-from-5.diff.html
> Diff to the initial version that Andrew sent you:
> http://arkko.com/ietf/ianaplan/ianaplanwg-v06-from-0.diff.html
> 
> Eric: they changes impacted the text that you originally commented on. Does
the
> new text work better for you?
> 
> Jari

---

From: Jari Arkko <[email-masked]>
Date: Fri, 22 Aug 2014 07:46:44 +0300

Yes, agreed. Thanks.

Jari